int main(void)
{
    /* Initialized data */
    static double a[16] /* was [4][4] */ = { 1.,.42,.54,.66,.42,1.,.32,.44,
                                            .54,.32,1.,.22,.66,.44,.22,1. };

    /* Local variables */
    static int ierr;
    extern int adg2d_c(double *, int *, int *, int *, double *, double *,
                       double *, double *, int *);
    static int j, m, n, nlead[4];
    static double z__[4], rcond, det1, det2;

#define a_ref(a_1,a_2) a[(a_2)*4 + a_1 - 5]

    m = 4;
    n = m;
    for (j = 1; j <= 4; ++j) {
        printf("\n  %24.14e %24.14e \n  %24.14e %24.14e \n",
        a_ref(j, 1), a_ref(j, 2), a_ref(j, 3), a_ref(j, 4));
    }
    adg2d_c(a, &m, &n, nlead, &det1, &det2, &rcond, z__, &ierr);

    printf("\n  %5i %5i %5i %5i \n",nlead[0], nlead[1], nlead[2], nlead[3]);
    for (j = 1; j <= 4; ++j) {
        printf("\n  %24.14e %24.14e \n  %24.14e %24.14e \n",
        a_ref(j, 1), a_ref(j, 2), a_ref(j, 3), a_ref(j, 4));
    }
    printf("\n  %5i %24.14e \n",ierr, rcond);
    printf("\n  %24.14e %24.14e \n",det1, det2);
    return 0;
} /* main */

#undef a_ref
